/*
 * output.h - Output layer for Speech Dispatcher header
 *
 * Copyright (C) 2001, 2002, 2003 Brailcom, o.p.s.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this package; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * $Id: output.h,v 1.3 2003/12/21 22:02:55 hanke Exp $
 */

#include "speechd.h"
#include "speaking.h"

static OutputModule* get_output_module(const TSpeechDMessage *message);

int output_speak(TSpeechDMessage *msg);
int output_stop();
size_t output_pause();
int output_is_speaking();

int output_check_module(OutputModule* output);

char* escape_dot(char *otext);
